zenilib: zenilib/jni/external/sdl/src/render/software/SDL_blendfillrect.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
SDL_blendfillrect.c File Reference
`#include "SDL_config.h"`
`#include "SDL_draw.h"`
`#include "SDL_blendfillrect.h"`

Go to the source code of this file.

## Functions

int | SDL_BlendFillRect (SDL_Surface *dst, const SDL_Rect *rect, SDL_BlendMode blendMode, Uint8 r, Uint8 g, Uint8 b, Uint8 a)
static int | SDL_BlendFillRect_ARGB8888 (SDL_Surface *dst, const SDL_Rect *rect, SDL_BlendMode blendMode, Uint8 r, Uint8 g, Uint8 b, Uint8 a)
static int | SDL_BlendFillRect_RGB (SDL_Surface *dst, const SDL_Rect *rect, SDL_BlendMode blendMode, Uint8 r, Uint8 g, Uint8 b, Uint8 a)
static int | SDL_BlendFillRect_RGB555 (SDL_Surface *dst, const SDL_Rect *rect, SDL_BlendMode blendMode, Uint8 r, Uint8 g, Uint8 b, Uint8 a)
static int | SDL_BlendFillRect_RGB565 (SDL_Surface *dst, const SDL_Rect *rect, SDL_BlendMode blendMode, Uint8 r, Uint8 g, Uint8 b, Uint8 a)
static int | SDL_BlendFillRect_RGB888 (SDL_Surface *dst, const SDL_Rect *rect, SDL_BlendMode blendMode, Uint8 r, Uint8 g, Uint8 b, Uint8 a)
static int | SDL_BlendFillRect_RGBA (SDL_Surface *dst, const SDL_Rect *rect, SDL_BlendMode blendMode, Uint8 r, Uint8 g, Uint8 b, Uint8 a)
int | SDL_BlendFillRects (SDL_Surface *dst, const SDL_Rect *rects, int count, SDL_BlendMode blendMode, Uint8 r, Uint8 g, Uint8 b, Uint8 a)

## Function Documentation

int SDL_BlendFillRect | ( | SDL_Surface * | dst,
|  | const SDL_Rect * | rect,
|  | SDL_BlendMode | blendMode,
|  | Uint8 | r,
|  | Uint8 | g,
|  | Uint8 | b,
|  | Uint8 | a
| ) |  |

Definition at line 196 of file SDL_blendfillrect.c.

References SDL_PixelFormat::Amask, SDL_PixelFormat::BitsPerPixel, SDL_Surface::clip_rect, DRAW_MUL, SDL_Surface::format, SDL_PixelFormat::Rmask, SDL_BlendFillRect_ARGB8888(), SDL_BlendFillRect_RGB(), SDL_BlendFillRect_RGB555(), SDL_BlendFillRect_RGB565(), SDL_BlendFillRect_RGB888(), SDL_BlendFillRect_RGBA(), SDL_BLENDMODE_ADD, SDL_BLENDMODE_BLEND, SDL_IntersectRect(), and SDL_SetError().

static int SDL_BlendFillRect_ARGB8888 | ( | SDL_Surface * | dst,
|  | const SDL_Rect * | rect,
|  | SDL_BlendMode | blendMode,
|  | Uint8 | r,
|  | Uint8 | g,
|  | Uint8 | b,
|  | Uint8 | a
| ) |  |

static

Definition at line 99 of file SDL_blendfillrect.c.

References DRAW_SETPIXEL_ADD_ARGB8888, DRAW_SETPIXEL_ARGB8888, DRAW_SETPIXEL_BLEND_ARGB8888, DRAW_SETPIXEL_MOD_ARGB8888, FILLRECT, SDL_BLENDMODE_ADD, SDL_BLENDMODE_BLEND, and SDL_BLENDMODE_MOD.

Referenced by SDL_BlendFillRect(), and SDL_BlendFillRects().

static int SDL_BlendFillRect_RGB | ( | SDL_Surface * | dst,
|  | const SDL_Rect * | rect,
|  | SDL_BlendMode | blendMode,
|  | Uint8 | r,
|  | Uint8 | g,
|  | Uint8 | b,
|  | Uint8 | a
| ) |  |

static

Definition at line 122 of file SDL_blendfillrect.c.

References SDL_PixelFormat::BytesPerPixel, DRAW_SETPIXEL_ADD_RGB, DRAW_SETPIXEL_BLEND_RGB, DRAW_SETPIXEL_MOD_RGB, DRAW_SETPIXEL_RGB, FILLRECT, SDL_Surface::format, SDL_BLENDMODE_ADD, SDL_BLENDMODE_BLEND, SDL_BLENDMODE_MOD, and SDL_Unsupported.

Referenced by SDL_BlendFillRect(), and SDL_BlendFillRects().

static int SDL_BlendFillRect_RGB555 | ( | SDL_Surface * | dst,
|  | const SDL_Rect * | rect,
|  | SDL_BlendMode | blendMode,
|  | Uint8 | r,
|  | Uint8 | g,
|  | Uint8 | b,
|  | Uint8 | a
| ) |  |

static

Definition at line 30 of file SDL_blendfillrect.c.

References DRAW_SETPIXEL_ADD_RGB555, DRAW_SETPIXEL_BLEND_RGB555, DRAW_SETPIXEL_MOD_RGB555, DRAW_SETPIXEL_RGB555, FILLRECT, SDL_BLENDMODE_ADD, SDL_BLENDMODE_BLEND, and SDL_BLENDMODE_MOD.

Referenced by SDL_BlendFillRect(), and SDL_BlendFillRects().

static int SDL_BlendFillRect_RGB565 | ( | SDL_Surface * | dst,
|  | const SDL_Rect * | rect,
|  | SDL_BlendMode | blendMode,
|  | Uint8 | r,
|  | Uint8 | g,
|  | Uint8 | b,
|  | Uint8 | a
| ) |  |

static

Definition at line 53 of file SDL_blendfillrect.c.

References DRAW_SETPIXEL_ADD_RGB565, DRAW_SETPIXEL_BLEND_RGB565, DRAW_SETPIXEL_MOD_RGB565, DRAW_SETPIXEL_RGB565, FILLRECT, SDL_BLENDMODE_ADD, SDL_BLENDMODE_BLEND, and SDL_BLENDMODE_MOD.

Referenced by SDL_BlendFillRect(), and SDL_BlendFillRects().

static int SDL_BlendFillRect_RGB888 | ( | SDL_Surface * | dst,
|  | const SDL_Rect * | rect,
|  | SDL_BlendMode | blendMode,
|  | Uint8 | r,
|  | Uint8 | g,
|  | Uint8 | b,
|  | Uint8 | a
| ) |  |

static

Definition at line 76 of file SDL_blendfillrect.c.

References DRAW_SETPIXEL_ADD_RGB888, DRAW_SETPIXEL_BLEND_RGB888, DRAW_SETPIXEL_MOD_RGB888, DRAW_SETPIXEL_RGB888, FILLRECT, SDL_BLENDMODE_ADD, SDL_BLENDMODE_BLEND, and SDL_BLENDMODE_MOD.

Referenced by SDL_BlendFillRect(), and SDL_BlendFillRects().

static int SDL_BlendFillRect_RGBA | ( | SDL_Surface * | dst,
|  | const SDL_Rect * | rect,
|  | SDL_BlendMode | blendMode,
|  | Uint8 | r,
|  | Uint8 | g,
|  | Uint8 | b,
|  | Uint8 | a
| ) |  |

static

Definition at line 167 of file SDL_blendfillrect.c.

References SDL_PixelFormat::BytesPerPixel, DRAW_SETPIXEL_ADD_RGBA, DRAW_SETPIXEL_BLEND_RGBA, DRAW_SETPIXEL_MOD_RGBA, DRAW_SETPIXEL_RGBA, FILLRECT, SDL_Surface::format, SDL_BLENDMODE_ADD, SDL_BLENDMODE_BLEND, SDL_BLENDMODE_MOD, and SDL_Unsupported.

Referenced by SDL_BlendFillRect(), and SDL_BlendFillRects().

int SDL_BlendFillRects | ( | SDL_Surface * | dst,
|  | const SDL_Rect * | rects,
|  | int | count,
|  | SDL_BlendMode | blendMode,
|  | Uint8 | r,
|  | Uint8 | g,
|  | Uint8 | b,
|  | Uint8 | a
| ) |  |

Definition at line 263 of file SDL_blendfillrect.c.

References SDL_PixelFormat::Amask, SDL_PixelFormat::BitsPerPixel, SDL_Surface::clip_rect, DRAW_MUL, SDL_Surface::format, i, int, NULL, SDL_PixelFormat::Rmask, SDL_BlendFillRect_ARGB8888(), SDL_BlendFillRect_RGB(), SDL_BlendFillRect_RGB555(), SDL_BlendFillRect_RGB565(), SDL_BlendFillRect_RGB888(), SDL_BlendFillRect_RGBA(), SDL_BLENDMODE_ADD, SDL_BLENDMODE_BLEND, SDL_IntersectRect(), and SDL_SetError().

Referenced by SW_RenderFillRects().